Subject: Re: bug#71200: TRAMP: Trying to do a project-find-file or (find-directory) using the podman method causes a (wrong-type-argument stringp nil) error

From: alexis purslane <[email-masked]>
Date: Sun, 26 May 2024 17:21:47 +0000

Actually, no, installing git does not help resolve the problem whatsoever. One works, the other two don't, but I can't tell why. The one that works is my general purpose development container, and the other two are more specialized, so that may be the origin of the problem, but it doesn't explain what in particular is missing. What does project.el rely on the host having installed?

On Sunday, May 26th, 2024 at 5:19 PM, alexis purslane <[email-masked]> wrote:

> So on one of my containers project.el works (thats why I thought the problem went away), but on the other two it doesn't. Just figured out what it was: the other two don't have git installed at all.
> 

> On Sunday, May 26th, 2024 at 5:14 PM, alexis purslane [email-masked] wrote:
> 

> > Scratch that, it's back. Steps:
> > 

> > 1. run emacs -Q
> > 2. Do {C-x p p}
> > 3. Enter `...` to add a new project
> > 4. Enter a podman container location such as: /podman:texlive-latest:Documents/Awesome-CV/
> > 5. Hit {ENT}, then {f}
> > 6. Error happens.
> > 

> > For comparison, you can do:
> > 

> > 7. {M-x eshell}
> > 8. `cd /podman:texlive-latest:Documents/Awesome-CV/`
> > 9. Do ls, find-file, whatever you like, watch it work perfectly
> > 10. Do `podman exec -it texlive-latest bash`
> > 11. See that work perfectly.
> > 

> > On Sunday, May 26th, 2024 at 5:07 PM, alexis purslane [email-masked] wrote:
> > 

> > > As it happens (and I can hardly believe this, this is the second bug
> > > I've reported that has ended like this) without /any/ changes of my own
> > > whatsoever to my config, just deleting my ~/.emacs.d/ completely and
> > > then recloning my config from git (minus the code snipped I posted
> > > above to fix the issue I was having), the problem has... utterly
> > > disappeared, as far as I can tell. Many apologies for the, seemingly,
> > > false alarm, and I'll follow up with replication steps if I'm ever able
> > > to replicate this.
> > > 

> > > On Sunday, May 26th, 2024 at 3:35 PM, alexis purslane [email-masked] wrote:
> > > 

> > > > I'll get to this as soon as I can :)
> > > > 

> > > > -------- Original Message --------
> > > > On 5/26/24 11:33 AM, Michael Albinus [email-masked] wrote:
> > > > 

> > > > > Dmitry Gutov [email-masked] writes:
> > > > > 

> > > > > > Hi Michael,

> > > > > Hi Dmitry,

> > > > > > From what I understand this scenario only fails when using the
> > > > > > 'podman' transport, but not 'ssh' transport - I'm using
> > > > > > project-find-file and related commands over Tramp with no problem.
> > > > > > 

> > > > > > That makes it a Tramp bug, doesn't it? Somewhere in podman support code.
> > > > > 

> > > > > In this case, I need a step-by-step recipe, starting with "emacs -Q".
> > > > > 

> > > > > Best regards, Michael.